Unit FDE00R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure FDE00R(X :Real; var Y :Array of Real; var DY :Array of Real;
                M :Integer);
implementation

procedure FDE00R(X :Real; var Y :Array of Real; var DY :Array of Real;
                M :Integer);
var
E2,E,E3,E1 :Real;
begin
DY[1-1] := (2.0*X-5.E2)*Y[1-1]+(1.0-X*1.E-1)*Y[2-1]+
     (1.0+1./(1.0+X))*Sin(Y[1-1]);
DY[2-1] := (-1.E3-1.E1*X)*Y[1-1]+(1.0+X*1.E-1)*Y[2-1]+
     (2.0+1./(2.0+X))*Cos(Y[2-1]);
end;

end.
